/{organizationId}/{mandateId}/sales/products/{productId}Update product
Updates a specific product for a given mandate
Required permissions:
mandate.read
product.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired productIdstringrequired Request Body required
Content-Type: application/json
numberstringrequired maxLength: 32
namestringrequired minLength: 1
maxLength: 80
descriptionstringrequired maxLength: 2000
ObjectId as string
activebooleanrequired Default: null
inventoryModestringrequired Options:
unlimitedglobalsalesPeriodsalesPeriodInitialCapacitynumberrequired minimum: 0
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/products/{productId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "string",
"name": "string",
"description": "string",
"category": "000000000000000000000001",
"active": true,
"unit": {
"type": "default",
"value": "piece"
},
"inventoryMode": "unlimited",
"salesPeriodInitialCapacity": 0,
"price": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}